Skip to main content
Topic: Visual Studio 2013-2017 compatibility notice (Read 20298 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: Visual Studio 2013-2017 compatibility notice

Reply #50
The ATL helpers piece of the SDK requires WTL. This is documented in the SDK readme. If you don't need UI stuff you can remove all ATL stuff and all parts from the sample that give errors. But WTL is very simple to install and the zip comes with a readme file that has instructions.

Re: Visual Studio 2013-2017 compatibility notice

Reply #51
The ATL helpers piece of the SDK requires WTL. This is documented in the SDK readme. If you don't need UI stuff you can remove all ATL stuff and all parts from the sample that give errors. But WTL is very simple to install and the zip comes with a readme file that has instructions.

Oooops...   :-[   I missed the readme and relied only on marc2003 instructions. I'll check it out immediately! Anyway, here's the new thread.
I'm late

Re: Visual Studio 2013-2017 compatibility notice

Reply #52
Add the WTL (<wtl install path>\include) to the preprocessor header includes paths for both the ATLHelpers and the main foo_sample project files.

The distributed SDK assumes you will simply configure this path into your Visual Studio system-wide default paths every time you freshly install a new Windows machine.

 
SimplePortal 1.0.0 RC1 © 2008-2018